function [lambda, chyba] = lr_transformace(A, epsilon, max_iter)
%
% LR-algoritmus pro vypocet vlastnich cisel matice A

clc;
tisk=sprintf('Metoda lr_transformace pro vypocet vlastnich cisel matice A');
disp(tisk);
A
disp(' ');

 iterace=0;
 chyba=inf;

 zobraz_matici(A);
 title('Puvodni matice A');
 while (chyba > epsilon) && (iterace < max_iter)
   iterace=iterace+1;
   [L,U]=lu_rozklad(A);
   A=U*L;
   pause;
   zobraz_matici(A);
   nazev=sprintf('%d. iterace', iterace);
   title(nazev);
   chyba=norm(tril(A)-diag(diag(A)));
 end
 lambda=diag(A)













